<?php

namespace Drupal\standwithukraine\Service;

use Drupal\Core\Entity\EntityTypeManagerInterface;
use Drupal\Core\Session\AccountProxyInterface;

/**
 * Defines the helper service interface.
 */
interface StandWithUkraineHelperInterface {

  /**
   * Flag top color.
   */
  const COLOR = '#005bbb';

  /**
   * Sticky a message to the left side of the page.
   */
  const POSITION_LEFT = 'left';

  /**
   * Sticky a message to the top side of the page.
   */
  const POSITION_TOP = '';

  /**
   * Sticky a message to the right side of the page.
   */
  const POSITION_RIGHT = 'right';

  /**
   * StandWithUkraineHelper constructor.
   *
   * @param \Drupal\Core\Session\AccountProxyInterface $current_user
   *   The current active user.
   * @param \Drupal\Core\Entity\EntityTypeManagerInterface $entity_type_manager
   *   The entity type manager.
   */
  public function __construct(
    AccountProxyInterface $current_user,
    EntityTypeManagerInterface $entity_type_manager
  );

  /**
   * Check if the module feature should be available for the current user.
   *
   * @return bool
   *   TRUE if so.
   */
  public function access();

}
